> ## Documentation Index
> Fetch the complete documentation index at: https://developers.referralful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List payouts



## OpenAPI

````yaml /openapi.json get /payouts
openapi: 3.1.0
info:
  title: Referralful API
  version: 1.0.0
  description: Rewardful-compatible REST API for affiliate programs built on Stripe.
servers:
  - url: https://api.referralful.com/v1
security:
  - basicAuth: []
paths:
  /payouts:
    get:
      summary: List payouts
      parameters:
        - name: state
          in: query
          schema:
            type: string
        - name: affiliate_id
          in: query
          schema:
            type: string
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  pagination:
                    $ref: '#/components/schemas/Pagination'
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Payout'
components:
  parameters:
    page:
      name: page
      in: query
      schema:
        type: integer
        default: 1
    limit:
      name: limit
      in: query
      schema:
        type: integer
        default: 25
        maximum: 100
  schemas:
    Pagination:
      type: object
      properties:
        previous_page:
          type: integer
          nullable: true
        current_page:
          type: integer
        next_page:
          type: integer
          nullable: true
        count:
          type: integer
        limit:
          type: integer
        total_pages:
          type: integer
        total_count:
          type: integer
    Payout:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          example: payout
        state:
          type: string
          enum:
            - pending
            - paid
        currency:
          type: string
        amount:
          type: integer
          description: Amount in cents.
        paid_at:
          type: string
          format: date-time
          nullable: true
        affiliate_id:
          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Use your API secret as the username, with an empty password.

````